com.mysql.jdbc

## Class OperationNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - com.mysql.jdbc.OperationNotSupportedException

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

     class OperationNotSupportedException
    extends java.sql.SQLException

### Field Summary

Fields
`(package private) static long` `serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`OperationNotSupportedException()`

### Method Summary

### Methods inherited from class java.sql.SQLException

`getErrorCode, getNextException, getSQLState, iterator, setNextException`

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

### Constructor Detail

#### OperationNotSupportedException

    OperationNotSupportedException()